<?php
include('functions.inc.php');
if(isset($_GET['cat'])) $cat = $_GET['cat'];
else $cat = 'applications';
if(isset($_GET['unique_id'])) $unique_id = $_GET['unique_id'];
else $unique_id = 'home_feed';

$title = make_title($cat, date('l, m d, Y'));
$url = split('\?', selfURL());
$url = $url[0];
$url = rtrim($url, 'feed.php') . slug($title);

$cache = new Cache('./cache');

$key = 'boysofts.com torrent feed';
$expiration = 3600*24*7;
$json_data = $cache->get($key, $expiration = $expiration);
if ($json_data === FALSE)
   { 
    $json_data = multiRequest($feed_url);
	$json_data = $json_data['url'];
	$cache->set($key, $json_data);
   }
$torrent_json = my_json_decode($json_data, true);
$torrent_json = $torrent_json['boysofts.com_torrent_feed'];

$key = "$cat $unique_id" ;
$expiration = 3600*24;
$body = $cache->get($key, $expiration = $expiration);
if ($body === FALSE)
   { 
    $cat_json = $torrent_json[0][$cat];
    shuffle($cat_json);
    $output = array_slice($cat_json, 0, 100);
	$title = $output[0]['title'];
	$title = "Free $title torrent download.";
    $title = htmlentities($title);
    $tags = implode(", ", $all_tags[$cat]);
    $s = "<table><tr><td>&nbsp;</td><td>$post_top_ad</td></tr>";
	$user_info = $torrent_json[0]['user_info'][0];
	$s = $s . "<tr><td>&nbsp;</td><td>$user_info</td></tr>";
	for ($i = 1; $i <= count($output); $i++) {
	   $dl_url = $output[$i - 1]['url'];
	   $dl_title = $output[$i - 1]['title'];
	   $s = $s . "<tr><td style=\"color:#F0703E\">$i. </td><td><a href=\"$dl_url\" title=\"Free $dl_title torrent download\" target=\"_blank\">Free $dl_title torrent download</a></td></tr>";
       $s = $s . "<tr><td>&nbsp;</td><td>Free $dl_title torrent download - $tags etc. <a href=\"$dl_url\" title=\"Free $dl_title torrent download\" target=\"_blank\">Download now.</a></td></tr>";
    }
    $s = $s . "<tr><td>&nbsp;</td><td>$post_bottom_ad</td></tr></table>#end";
	ob_start();
echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";  
?>
<rss xmlns:content="http://purl.org/rss/1.0/modules/content/" xmlns:dc="http://purl.org/dc/elements/1.1/" version="2.0">
   <channel>
      <title><?php echo $title; ?></title>
      <link><?php echo htmlentities(selfURL()); ?></link>
      <description><?php echo $_SERVER['SERVER_NAME']; ?> Free torrents Downloads.</description>
      <language>en-us</language>
      <pubDate><?php echo date("D, d M Y H:i:s Z"); ?></pubDate>
      <lastBuildDate><?php echo date("D, d M Y H:i:s Z"); ?></lastBuildDate>
      <docs>http://torrents.boysofts.com/</docs>
      <copyright>Copyright 2012-<?php echo date("Y"); ?> boysofts.com</copyright>
      <ttl>1440</ttl>
      <generator><?php echo htmlentities(selfURL()); ?></generator>
      <managingEditor>boyknown@gmail.com</managingEditor>
      <webMaster>boyknown@gmail.com</webMaster>
      <image>
        <title>boysofts.com</title>
        <link>http://www.boysofts.com/</link>
        <url>http://www.blogger.com/img/gear.gif</url>
        <width>95</width>
        <height>95</height>
        <description>Free torrents download torrents.boysofts.com.</description>
      </image>
      <item>
         <title><?php echo $title; ?></title>
         <link><?php echo htmlentities($url); ?></link>
         <description><?php echo htmlentities($s); ?></description>
         <pubDate><?php echo date("D, d M Y H:i:s Z"); ?></pubDate>
         <guid><?php echo date("D, d M Y H:i:s Z"); ?></guid>
      </item>
    </channel>
</rss>
<?php
$body = ob_get_contents();
ob_end_clean();
$cache->set($key, $body);
}
echo $body;
?>