<?php
$post_top_ad = file_get_contents('top_ad.txt');
$post_bottom_ad = file_get_contents('bottom_ad.txt');
$feed_url = 'http://torrent-search.boysofts.com/api_v1?all=1';

//complete tags using keywords
$all_tags = array('applications' => array('applications','software', 'tool', 'script', 'mobile', '.apk'), 
              'tv' => array('tv show','episodes', 'season', 'part'),
			  'xxx' => array('xxx', 'adult video', 'mature video', 'porn', 'sex video'),
			  'movies' => array('movie', 'film', 'dvd rip'),
			  'games' => array('game', 'video game', 'game cd'),
			  'anime' => array('anime', 'cartoon', 'manga'),
			  'music' => array('music', 'audio', 'mp3', 'song'),
			  'books' => array('book', 'ebook', 'magazine', 'journal', 'paper', 'document', 'thesis', 'essay', 'article', '.pdf'),
			  'other' => array('picture', 'wallpaper', 'screen saver', 'mobile'),
			  );

			  
//Fetch external urls GET request
function fetch_url($url, $ref) {
   $user_agent = 'boysofts.com torrent directory script v 1.00';
	//try to use curl first. to send reffrer and browser user agent properly.
	if(function_exists('curl_init')) {
			$ch = curl_init($url);
			curl_setopt($ch, CURLOPT_URL, $url);
			curl_setopt($ch, CURLOPT_REFERER, $ref);
	        curl_setopt($ch, CURLOPT_RETURNTRANSFER,1);
	        curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 2); //120);
	        curl_setopt($ch, CURLOPT_TIMEOUT, 2); //120);
	        curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);  //use curl_redir_exec when open_basedir is set
	        curl_setopt($ch, CURLOPT_MAXREDIRS,10);
	        curl_setopt($ch, CURLOPT_USERAGENT, $user_agent);
	        curl_setopt($ch, CURLOPT_HTTPGET, 0);
	        $file = curl_exec($ch);
			curl_close($ch);
	}
	else {
        if(ini_get('allow_url_fopen') == 1 || strtolower(ini_get('allow_url_fopen')) == 'on') {
		$file = @file_get_contents($url);
		if($file == false) {
			$handle = @fopen($url, 'r');
			$file = @fread($handle, 4096);
			@fclose($handle);
			}
	    }	
	}
	if($file != false && $file != '') return $file;
}


//get full url of the current executing script.
function selfURL() { 
$s = empty($_SERVER["HTTPS"]) ? '' : ($_SERVER["HTTPS"] == "on") ? "s" : ""; 
$protocol = strleft(strtolower($_SERVER["SERVER_PROTOCOL"]), "/").$s; 
$port = ($_SERVER["SERVER_PORT"] == "80") ? "" : (":".$_SERVER["SERVER_PORT"]); 
return $protocol."://".$_SERVER['SERVER_NAME'].$port.$_SERVER['REQUEST_URI']; 
} 

function strleft($s1, $s2) { return substr($s1, 0, strpos($s1, $s2)); }


//cache class
class Cache {

    function __construct($dir)
    {
        $this->dir = $dir;
    }

    private function _name($key)
    {
        return sprintf("%s/%s", $this->dir, sha1($key));
    }

    public function get($key, $expiration = 3600)
    {

        if ( !is_dir($this->dir) OR !is_writable($this->dir))
        {
            return FALSE;
        }

        $cache_path = $this->_name($key);

        if (!@file_exists($cache_path))
        {
            return FALSE;
        }
    
	
        if (filemtime($cache_path) < (time() - $expiration))
        {
            $this->clear($key);
            return FALSE;
        }
		

        if (!$fp = @fopen($cache_path, 'rb'))
        {
            return FALSE;
        }

        flock($fp, LOCK_SH);

        $cache = '';

        if (filesize($cache_path) > 0)
        {
            $cache = unserialize(fread($fp, filesize($cache_path)));
        }
        else
        {
            $cache = NULL;
        }

        flock($fp, LOCK_UN);
        fclose($fp);

        return $cache;
    }

    public function set($key, $data)
    {

        if ( !is_dir($this->dir) OR !is_writable($this->dir))
        {
            return FALSE;
        }

        $cache_path = $this->_name($key);

        if ( ! $fp = fopen($cache_path, 'wb'))
        {
            return FALSE;
        }

        if (flock($fp, LOCK_EX))
        {
            fwrite($fp, serialize($data));
            flock($fp, LOCK_UN);
        }
        else
        {
            return FALSE;
        }
        fclose($fp);
        @chmod($cache_path, 0777);
        return TRUE;
    }

    public function clear($key)
    {
        $cache_path = $this->_name($key);

        if (file_exists($cache_path))
        {
            unlink($cache_path);
            return TRUE;
        }

        return FALSE;
    }
}

function my_json_decode($json_data)
{
 if (function_exists('json_decode')) {return json_decode($json_data, true);}
 else{
   require_once 'json.php';
   $json = new Services_JSON(SERVICES_JSON_LOOSE_TYPE);
   $results = $json->decode($json_data);
   return $results;
   }
}

//some very simple functions
function make_title($req_cat, $date){
return "Free top $req_cat torrents of $date download.";
}
function slug($text){
$per_link = str_replace (' ', '-', $text);
$per_link = str_replace (',', '', $per_link);
return $per_link . 'html';
}
?>